#pragma once

struct ASTNode;
class ByteBuffer;

// Uses the previously built AST to generate the bytecode,
// now that the names and IDs of all blocks have been parsed.
void CompileScript(const ASTNode &root, ByteBuffer &bytebuf);

void WriteStringTable(ByteBuffer &bytebuf);
